CREATE TABLE anc_mx_trxn_contexts (
    MX_TRXN_CONTEXT_ID            NUMBER(18, 0) ,
    MATRIX_TRXN_ID                NUMBER(18, 0)     NOT NULL,
    MATRIX_CONTEXT_ID             NUMBER(18, 0)     NOT NULL,
    ENTERPRISE_ID                 NUMBER(18, 0)     NOT NULL,
    ANC_MX_TRXN_CONTEXTS_ALTCD    VARCHAR2(960)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    MODULE_ID                     VARCHAR2(128) ,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL,
    MX_TRXN_CONTEXT_ID            NUMBER(18, 0) ,
    MATRIX_TRXN_ID                NUMBER(18, 0)     NOT NULL,
    MATRIX_CONTEXT_ID             NUMBER(18, 0)     NOT NULL,
    ENTERPRISE_ID                 NUMBER(18, 0)     NOT NULL,
    ANC_MX_TRXN_CONTEXTS_ALTCD    VARCHAR2(960)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    MODULE_ID                     VARCHAR2(128) ,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_anc_mx_trxn_contexts PRIMARY KEY (MX_TRXN_CONTEXT_ID, MX_TRXN_CONTEXT_ID)
);
